/* global BDF,CodeMirror */

BDF.CodeMirrorMode = {};

BDF.CodeMirrorMode.visibilityListener = function (element, visible) {
    if (visible) {
        BDF.refreshCodeMirror(element);
    }
};

BDF.CodeMirrorMode.beforeSerialize = function (form) {
    var $codemirrorTextAreas = BDF.$(form, {_element: "textarea", codemirrorMode: true});
    for(let i = 0; i < $codemirrorTextAreas.length; i++) {
        let codeMirror = $($codemirrorTextAreas[i]).data("codeMirrorInstance");
        if (codeMirror) {
            codeMirror.save();
        }
    }
};

$(function () {
    if (BDF.Deploy) {
        BDF.Deploy.addVisibilityListener(BDF.CodeMirrorMode.visibilityListener);
    }
    var $codemirrorTextAreas = BDF.$({_element: "textarea", codemirrorMode: true});
    for(let i = 0; i < $codemirrorTextAreas.length; i++) {
        let element = $codemirrorTextAreas[i];
        let $element = $(element);
        let mode = $element.data("codemirrorMode");
        let readOnly = false;
        if ($element.attr("disabled")) {
            readOnly = true;
        }
        if (mode) {
            if (mode === 'html') {
                mode = 'xml';
            }
            let codeMirror =  BDF.toCodeMirror(element, {
                mode: mode,
                lineWrapping: true,
                lineNumbers: false,
                indentUnit: 4,
                readOnly: readOnly,
                theme: 'bdf'
            });
        }
    }
});