/* global BDF */

BDF.CommandTest = {};

BDF.CommandTest.success = function (data) {
    if (data.commandMessage) {
        if (data.commandMessage.type === "error") {
            var alertText = "";
            if (data.commandMessage.text) {
                alertText = alertText + data.commandMessage.text;
            } else {
                alertText = alertText + data.commandMessage.key;
            }
            if (data.commandMessage.multiErrorMessageArray) {
                let array = data.commandMessage.multiErrorMessageArray;
                let length = array.length;
                let min;
                if (length < 8) {
                    min = length;
                } else {
                    min = 5;
                }
                for(let i = 0; i < min; i++) {
                    let obj = array[i];
                    alertText = alertText + "\n\n      - ";
                    if (obj.text) {
                        alertText = alertText + obj.text;
                    } else {
                        alertText = alertText + obj.key;
                    }
                }
                if (length > 7) {
                    let remain = length - 5;
                    alertText = alertText + "\n\n      " + BDF.Loc.get("_ warning.global.remainingerrors", remain);
                }
                
            }
            alert(alertText);
            return false;
        }
    }
    return true;
};

$(function () {
    $("form[data-submit-process=test]").submit(function(event) {
        var form = this;
        BDF.CommandWait.standby(form, true);
        if (BDF.CodeMirrorMode) {
            BDF.CodeMirrorMode.beforeSerialize(form);
        }
        event.preventDefault();
        $(form).ajaxSubmit({
            filtering: function(el, index) {
                if ((!el.type) || (!el.type.toLowerCase) || (el.type.toLowerCase() !== 'file')) {
                    return el;
                }
            },
            dataType: "json",
            data: {
                jsontype: "json",
            	test: "true"
            },
            success: function (data) {
                let success = BDF.CommandTest.success(data);
                if (success) {
                    form.submit();
                } else {
                    BDF.CommandWait.standby(form, false);
                }
            }
        });
    });
});
