/* global FicheQL */

FicheQL.Field = function (options) {
    this._fieldArray = new Array();
    this.q = "*";
    this.mode = FicheQL.MODE_AND;
    this.scope = FicheQL.SCOPE_TITRE;
    if (options) {
        for(var key in options) {
            if (key.indexOf('_') !== 0) {
                if (key === "scope") {
                    var value = options[key];
                    switch(value) {
                        case FicheQL.SCOPE_TITRE:
                        case FicheQL.SCOPE_ENTETE:
                        case FicheQL.SCOPE_FICHE:
                            this.scope = value;
                            break;
                        default:
                            this.scope = FicheQL.SCOPE_SELECTION;
                            this._fieldArray = value.split(" ");
                    }
                } else {
                    this[key] = options[key];
                }
            }
        }
    }
};

FicheQL.Field.prototype.toXml = function (indent) {
    if ((!indent) && (indent !== 0)) {
        indent = -999;
    }
    var xml = '';
    _indent();
    xml += '<field-query';
    xml += ' scope="' + FicheQL.escape(this.scope) + '"';
    xml += '>';
    indent++;
    if (this.scope === FicheQL.SCOPE_SELECTION) {
        for(let field of this._fieldArray) {
            _indent();
            xml += '<field>' + FicheQL.escape(field) + '</field>';
        }
    }
    _indent();
    xml += '<condition';
    xml += ' q="' + FicheQL.escape(this.q) + '"';
    xml += ' mode="' + FicheQL.escape(this.mode) + '"';
    xml += '/>';
    indent--;
    _indent();
    xml += '</field-query>';
    return xml;
    
    
    function _indent() {
        if (indent >= 0) {
            xml += '\n';
            for(let i = 0; i < indent; i++) {
                xml += '\t';
            }
        }
    }
    
};