/* global BDF,Importation,HTMLInputElement,HTMLSelectElement,HTMLTextAreaElement */

/******************************************************************************
 * Nécessite bdf/radio.js
 ******************************************************************************/
Importation.Input = {};

Importation.Input.memorizableTextAreaMap = {
    "fields": true
};

/******************************************************************************
 * Utilisation de LocalStorage pour conserver les valeurs
 ******************************************************************************/

Importation.Input.memorizeForm = function (form) {
    var element;
    var data = new Object();
    data.array = new Array();
    var length = form.elements.length;
    for(var i = 0; i < length; i++) {
        element = form.elements[i];
        if (element instanceof HTMLInputElement) {
            if ((element.type === "radio") && (element.checked)) {
                data.array.push({
                    type: "radio",
                    name: element.name,
                    value: element.value
                });
            } else if (element.type === "checkbox") {
                data.array.push({
                    type: "checkbox",
                    name: element.name,
                    value: element.value,
                    checked: element.checked
                });
            }
        } else if (element instanceof HTMLSelectElement) {
            var select = {
                type: "select",
                name: element.name
            };
            var map = new Object();
            for(var j = 0; j < element.options.length; j++) {
                var option = element.options[j];
                if (option.selected === true) {
                    map[option.value] = true;
                }
            }
            select.selection = map;
            data.array.push(select);
        } else if (element instanceof HTMLTextAreaElement) {
            if (Importation.Input.memorizableTextAreaMap.hasOwnProperty(element.name)) {
                data.array.push({
                    type: "textarea",
                    name: element.name,
                    value: element.value
                });
            }
        }
    }
    BDF.putMainLocalStorage(data);
};

Importation.Input.rememberForm = function () {
    var obj;
    var data = BDF.getMainLocalStorage();
    if ((data) && (data.array)) {
        var length = data.array.length;
        for(var i = 0; i < length; i++) {
            obj = data.array[i];
            if (obj.type === "radio") {
                $('input[type="radio"][name="' + obj.name + '"][value="' + obj.value + '"]').prop("checked", true).change();
            } else if (obj.type === "checkbox") {
                $('input[type="checkbox"][name="' + obj.name + '"][value="' + obj.value + '"]').prop("checked", obj.checked).change();
            } else if (obj.type === "select") {
                var $select = $('select[name="' + obj.name + '"]');
                if ($select.length > 0) {
                    var optionArray = $select.get(0).options;
                    for(var j = 0; j < optionArray.length; j++) {
                        var option = optionArray[j];
                        if (obj.selection.hasOwnProperty(option.value)) {
                            option.selected = true;
                        }
                    }
                    $select.change();
                }
            } else if (obj.type === "textarea") {
                $('textarea[name="' + obj.name + '"]').val(obj.value).change();
            }
        }
    }
};